# Generated from fog-maestrodev-1.20.0.20140305101839.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fog-maestrodev

Name: rubygem-%{gem_name}
Version: 1.20.0.20140305101839
Release: 1%{?dist}
Summary: brings clouds to you
License: MIT
URL: http://github.com/fog/fog
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jekyll)
# BuildRequires: rubygem(rbvmomi)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(thor)
# BuildRequires: rubygem(rbovirt) >= 0.0.11
# BuildRequires: rubygem(shindo) >= 0.3.4
# BuildRequires: rubygem(shindo) < 0.4
# BuildRequires: rubygem(fission)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(google-api-client) >= 0.6.2
# BuildRequires: rubygem(google-api-client) < 0.7
# BuildRequires: rubygem(unf)
BuildArch: noarch

%description
The Ruby cloud services library. Supports all major cloud providers including
AWS, Rackspace, Linode, Blue Box, StormOnDemand, and many others. Full support
for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# shindont
popd

%files
%dir %{gem_instdir}
%{_bindir}/fog
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.irbrc
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/benchs
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/CONTRIBUTORS.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.1.8.7
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/RELEASE.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/changelog.txt
%{gem_instdir}/fog.gemspec
%{gem_instdir}/tests

%changelog
* Tue Apr 19 2022 mockbuilder - 1.20.0.20140305101839-1
- Initial package
